Package org.jfree.layouting.layouter.content.statics

## Class FormattedContentToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.statics.StaticToken
  - - org.jfree.layouting.layouter.content.statics.FormattedContentToken

- All Implemented Interfaces:
    `ContentToken`, `FormattedTextType`, `TextType`

      public class FormattedContentToken
      extends StaticToken
      implements FormattedTextType

  Creation-Date: 04.07.2006, 20:16:16
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormattedContentToken​(java.lang.Object original, java.text.Format format, java.lang.String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.text.Format` | `getFormat​()` |
    `java.lang.Object` | `getOriginal​()` |
    `java.lang.String` | `getText​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormattedContentToken

          public FormattedContentToken​(java.lang.Object original,
                                       java.text.Format format,
                                       java.lang.String text)

  - ### Method Detail

    - #### getOriginal

          public java.lang.Object getOriginal​()

      Specified by:
        `getOriginal` in interface `FormattedTextType`

    - #### getFormat

          public java.text.Format getFormat​()

      Specified by:
        `getFormat` in interface `FormattedTextType`

    - #### getText

          public java.lang.String getText​()

      Specified by:
        `getText` in interface `TextType`